MODULE tamctl
   !!======================================================================
   !!                       ***  MODULE tamctl ***
   !! NEMOTAMR : variables controlling the run.
   !!======================================================================

   !!----------------------------------------------------------------------
   !! History :
   !!        !  ...    ( ... )        Original code: varctl.F90
   !!        !  09-06  (F. Vigilant)  Created to split NEMOVAR / NEMOTAM
   !!---------------------------------------------------------------------

   !!----------------------------------------------------------------------
   !!----------------------------------------------------------------------
   !! * Modules used
   USE par_kind

   !! * Routine accessibility
   
   IMPLICIT NONE

   PUBLIC

   !! * Module variables


   INTEGER :: & 
      & nmax_fs         ! Maximum number of iterations for the SSH balance
                        ! elliptic equation solver


   !! namtst:  assimilation test parameters

   LOGICAL :: &
      & ln_tst_nemotam, & ! Switch for NEMOTAM adjoint tests
      & ln_tst_cpd_tam, & ! Switch for NEMOTAM adjoint tests (components only)
      & ln_tst_stp_tam, & ! Switch for STEP_TAM adjoint tests
      & ln_tst_tan_cpd, & ! Switch for NEMOTAM tangent components accuracy tests 
      & ln_tst_tan,     & ! Switch for NEMOTAM tangent accuracy tests
      & ln_tst_stop       ! Stop after tests or not


   !! Units for tangent test

   INTEGER :: &
      & numtan, &       ! Output for tangent diagnostics
      & numtan_sc	!Output for tangent diagnostics (scalar sampling)

END MODULE tamctl
